key_purge.c File Reference
`#include "key_purge.h"`
`#include "clientpipe.h"`
`#include "log.h"`
`#include "hsmkey/hsm_key_factory.h"`

Go to the source code of this file.

## Functions

int | removeDeadKeysNow (int sockfd, db_connection_t *dbconn, policy_t *policy, zone_db_t *rzone, int purge)

## Function Documentation

## removeDeadKeysNow()

int removeDeadKeysNow | ( | int | sockfd,
|  | db_connection_t * | dbconn,
|  | policy_t * | policy,
|  | zone_db_t * | rzone,
|  | int | purge )

Definition at line 65 of file key_purge.c.

References db_value_cmp(), hsm_key_factory_delete_key(), hsm_key_factory_release_key_id(), hsm_key_id(), hsm_key_locator(), key_data_cache_hsm_key(), key_data_cache_key_states(), key_data_cached_dnskey(), key_data_cached_ds(), key_data_cached_hsm_key(), key_data_cached_rrsig(), key_data_cached_rrsigdnskey(), key_data_delete(), key_data_id(), key_data_introducing(), key_data_list_free(), key_data_list_get_begin(), key_data_list_get_next(), key_data_list_size(), key_dependency_delete(), key_dependency_from_key_data_id(), key_dependency_list_free(), key_dependency_list_get_begin(), key_dependency_list_get_next(), key_dependency_list_size(), key_state_delete(), KEY_STATE_STATE_HIDDEN, KEY_STATE_STATE_NA, policy_name(), policy_retrieve_zone_list(), policy_zone_list(), zone_db_get_key_dependencies(), zone_db_get_keys(), zone_db_name(), zone_db_new_copy(), zone_list_db_get_next(), and zone_list_db_size().